3cx issue to upgrade to 15.5.0

Discussion in '3CX Phone System - General' started by sei, Apr 28, 2017.

Thread Status:
Not open for further replies.
  1. sei

    sei

    Joined:
    Aug 3, 2010
    Messages:
    2
    Likes Received:
    0
    Hi everybody,

    I'm using 3cx pro 15.0.0 (15.0.629..) on OHV Vps Linux version.
    I want upgrade to 15.5.0, I'm trying to use (without success) this ways:

    - upgrade via management console (upgrade button)
    (response: nothing to upgrade)
    - via ssh using:
    1. wget -O- http://downloads.3cx.com/downloads/3cxpbx/public.key | apt-key add -
    2. apt-get update
    3. apt-get upgrade 3cxpbx
    (response: 3cxpbx is already the newest version)

    what I'm mistaking?
     
  2. JasonNadeau

    JasonNadeau Member

    Joined:
    Oct 14, 2015
    Messages:
    262
    Likes Received:
    46
    15.5 is just in Alpha for the moment...
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  3. cobaltit

    cobaltit Well-Known Member

    Joined:
    Mar 22, 2012
    Messages:
    1,203
    Likes Received:
    188
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  4. sei

    sei

    Joined:
    Aug 3, 2010
    Messages:
    2
    Likes Received:
    0
    hi Jason, hi Cobaltit, thank you.

    well now I understand, but I do not understand why the dashboard partner on 3cx site license refers to 15.5.0. Probably the license is enabled for the new version, so I just have to wait ....
     
  5. Mike Cruz

    Joined:
    May 8, 2017
    Messages:
    2
    Likes Received:
    0
    Things I have noticed with 15.5 I cant black/white list IPs. The firmware update feature isnt working. On the yealink phone the phonebook is not accessible (I think thats my issue not 3cx)
     
  6. nb

    nb Support Team
    Staff Member 3CX Support

    Joined:
    Jun 7, 2007
    Messages:
    2,129
    Likes Received:
    153
    Now if you follow that procedure you can update.
    The Alpha was in a different repository so yes - there was really no newer version in the release repo at the time you did apt-get
    Try now.. It will work. Tip check the blog post and scan closely the repository we advertise. If you see 3cxpbxbeta or something NOT 3cxpbx, then the repository has changed and you need to update sources.d.list
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
Thread Status:
Not open for further replies.